import styles from '../../styles/loadingSpinner.module.scss'

interface Props {
  desc: string
}

export const LoadingSpinner = (props: Props) => {
  const { desc } = props

  return (
    <div className={styles.loadingSpinnerOverlay}>
      <div className={styles.loadingSpinnerContainer}>
        <div className={styles.loadingSpinner}></div>
        {desc && <span>{desc}</span>}
      </div>
    </div>
  )
}
