import '../styles/cardGames.css'

type GameCardProps = {
  backgroundLink: string
}

export const GameCard = ({ backgroundLink }: GameCardProps) => {
  return (
    <a className='cardGameMainWrapperLink' href='search.html'>
      <div
        className='cardGameMain'
        style={{
          background: `url("${backgroundLink}") center / cover no-repeat`
        }}
      ></div>
      <div className='cardGameMainTitle'>
        <p>This is a game title, the best game title</p>
      </div>
    </a>
  )
}
